%define anolis_release 1

Name:       patchutils
Version:    0.4.2
Release:    %{anolis_release}%{?dist}
License:    GPLv2+
URL:        http://cyberelk.net/tim/patchutils/
Source0:    http://cyberelk.net/tim/data/patchutils/stable/%{name}-%{version}.tar.xz
Summary:    A collection of programs for manipulating patch files
Obsoletes:  interdiff <= 0.0.10
Provides:   interdiff = 0.0.11
Requires:   patch
BuildRequires: make
BuildRequires: gcc
BuildRequires: perl-generators
BuildRequires: xmlto
BuildRequires: automake
BuildRequires: autoconf

%description
This is a collection of programs that can manipulate patch files in
a variety of ways, such as interpolating between two pre-patches, 
combining two incremental patches, fixing line numbers in hand-edited 
patches, and simply listing the files modified by a patch.

%package doc
Summary: Documents for %{name}
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description doc
Doc pages for %{name}.

%prep
%autosetup -p1

%build
%configure
%make_build

%check
make check

%install
%make_install

%generate_compatibility_deps

%files
%{!?_licensedir:%global license %doc}
%license COPYING
%dir %{abidir}
%{_bindir}/*
%{abidir}/*-option.list
%{_mandir}/*/*

%files doc
%doc AUTHORS ChangeLog README BUGS NEWS TODO

%changelog
* Tue Mar 14 2023 yuanhui <yuanhui@linux.alibaba.com> - 0.4.2-1
- Init patchutils for AnolisOS 23
